# Uses of Interface
org.opensaml.xmlsec.keyinfo.KeyInfoGenerator

Packages that use KeyInfoGenerator
Package
Description
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of KeyInfoGenerator in org.opensaml.saml.saml2.binding.encoding.impl

Methods in org.opensaml.saml.saml2.binding.encoding.impl with parameters of type KeyInfoGenerator
Modifier and Type
Method
Description
`protected String`
HTTPPostSimpleSignEncoder.`buildKeyInfo(Credential signingCredential, KeyInfoGenerator kiGenerator)`
Build the `KeyInfo` from the signing credential.

## Uses of KeyInfoGenerator in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as KeyInfoGenerator
Modifier and Type
Field
Description
`private KeyInfoGenerator`
EncryptionParameters.`dataKeyInfoGenerator`
The EncryptedData KeyInfoGenerator.
`private KeyInfoGenerator`
SignatureSigningParameters.`keyInfoGenerator`
The KeyInfo generator.
`private KeyInfoGenerator`
EncryptionParameters.`keyTransportKeyInfoGenerator`
The EncryptedKey KeyInfoGenerator.
Methods in org.opensaml.xmlsec that return KeyInfoGenerator
Modifier and Type
Method
Description
`KeyInfoGenerator`
EncryptionParameters.`getDataKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.
`KeyInfoGenerator`
SignatureSigningParameters.`getKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the Signature/KeyInfo.
`KeyInfoGenerator`
EncryptionParameters.`getKeyTransportKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.
Methods in org.opensaml.xmlsec with parameters of type KeyInfoGenerator
Modifier and Type
Method
Description
`void`
EncryptionParameters.`setDataKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.
`void`
SignatureSigningParameters.`setKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the Signature/KeyInfo.
`void`
EncryptionParameters.`setKeyTransportKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.

## Uses of KeyInfoGenerator in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as KeyInfoGenerator
Modifier and Type
Field
Description
`private KeyInfoGenerator`
DataEncryptionParameters.`keyInfoGenerator`
Generator for dynamically generating a KeyInfo instance containing information from the encryption credential.
Methods in org.opensaml.xmlsec.encryption.support that return KeyInfoGenerator
Modifier and Type
Method
Description
`KeyInfoGenerator`
DataEncryptionParameters.`getKeyInfoGenerator()`
Gets the instance which will be used to generate a KeyInfo object from the encryption credential.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type KeyInfoGenerator
Modifier and Type
Method
Description
`void`
DataEncryptionParameters.`setKeyInfoGenerator(KeyInfoGenerator newKeyInfoGenerator)`
Sets the instance which will be used to generate a KeyInfo object from the encryption credential.

## Uses of KeyInfoGenerator in org.opensaml.xmlsec.impl

Methods in org.opensaml.xmlsec.impl that return KeyInfoGenerator
Modifier and Type
Method
Description
`protected KeyInfoGenerator`
AbstractSecurityParametersResolver.`lookupKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Resolve a `KeyInfoGenerator` instance based on a `NamedKeyInfoGeneratorManager`, `Credential` and optional KeyInfo generation profile name.
`protected KeyInfoGenerator`
BasicEncryptionParametersResolver.`resolveDataKeyInfoGenerator(CriteriaSet criteria, Credential dataEncryptionCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified data encryption credential.
`protected KeyInfoGenerator`
BasicSignatureSigningParametersResolver.`resolveKeyInfoGenerator(CriteriaSet criteria, Credential signingCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified credential.
`protected KeyInfoGenerator`
BasicEncryptionParametersResolver.`resolveKeyTransportKeyInfoGenerator(CriteriaSet criteria, Credential keyTransportEncryptionCredential)`
Resolve and return the `KeyInfoGenerator` instance to use with the specified key transport credential.

## Uses of KeyInfoGenerator in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return KeyInfoGenerator
Modifier and Type
Method
Description
`static KeyInfoGenerator`
KeyInfoSupport.`getKeyInfoGenerator(Credential credential, NamedKeyInfoGeneratorManager manager, String keyInfoProfileName)`
Obtains a `KeyInfoGenerator` for the specified `Credential`.
`KeyInfoGenerator`
KeyInfoGeneratorFactory.`newInstance()`
Get a new instance of the generator type produced by the factory.
`default KeyInfoGenerator`
KeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.

## Uses of KeyInfoGenerator in org.opensaml.xmlsec.keyinfo.impl

Classes in org.opensaml.xmlsec.keyinfo.impl that implement KeyInfoGenerator
Modifier and Type
Class
Description
`class`
`BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator`
An implementation of `KeyInfoGenerator` capable of handling the information contained within a `Credential`.
`class`
`KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator`
An implementation of `KeyInfoGenerator` capable of handling the information contained within a `KeyAgreementCredential`.
`class`
`StaticKeyInfoGenerator`
Implementation of `KeyInfoGenerator` which always returns static `KeyInfo` data.
`class`
`X509KeyInfoGeneratorFactory.X509KeyInfoGenerator`
An implementation of `KeyInfoGenerator` capable of handling the information contained within a `X509Credential`.
Methods in org.opensaml.xmlsec.keyinfo.impl that return KeyInfoGenerator
Modifier and Type
Method
Description
`KeyInfoGenerator`
BasicKeyInfoGeneratorFactory.`newInstance()`
Get a new instance of the generator type produced by the factory.
`KeyInfoGenerator`
BasicKeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
`KeyInfoGenerator`
KeyAgreementKeyInfoGeneratorFactory.`newInstance()`
Get a new instance of the generator type produced by the factory.
`KeyInfoGenerator`
KeyAgreementKeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.
`KeyInfoGenerator`
X509KeyInfoGeneratorFactory.`newInstance()`
Get a new instance of the generator type produced by the factory.
`KeyInfoGenerator`
X509KeyInfoGeneratorFactory.`newInstance(Class<? extends KeyInfo> type)`
Get a new instance of the generator type produced by the factory, and which generates `KeyInfo` instances of the specified type, for example `OriginatorKeyInfo` or `RecipientKeyInfo`.